
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>创建自定义配置节 / iVAN</title>

    <meta name="description" content="创建自定义配置节 在.Net 应用程序中,我们经常看到VS为我们生成的项目工程中都会含有App.config或者Web.config这样的文件.这个文件就是我们所说的应用程序配置文件.在这个文件里面记述着一些与我们的应用程序相关的信息,如:数据库连接,认证模式等.我们在程序中可以利用 ConfigurationManager的ConnectionStrings属性方便的获取配置文件中的数据库连接字符串信息. 可是有时候,我们需要对它进行一些扩展,加入一些自定义的元素,而不是仅仅使用默认的配置.例如,我们可能需要在">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">创建自定义配置节</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在.Net 应用程序中，我们经常看到VS为我们生成的项目工程中都会含有App.config或者Web.config这样的文件。这个文件就是我们所说的应用程序配置文件。在这个文件里面记述着一些与我们的应用程序相关的信息，如：数据库连接，认证模式等。我们在程序中可以利用 ConfigurationManager的ConnectionStrings属性方便的获取配置文件中的数据库连接字符串信息。</p>
<p>可是有时候，我们需要对它进行一些扩展，加入一些自定义的元素，而不是仅仅使用默认的配置。例如，我们可能需要在程序启动时，动态的加载某个类，并对其进行初始化，而这个类或者初始化数据是我们在程序设计的时候所不知道的。相信大家都碰到过这样的问题，这里就不做过多的解释了。最好的办法无非就是把这些可能会改变的东西写进配置文件里面，到你能够确定的时候，你只需要修改配置文件就Ok了，而不是产品马上上线的时候还用30秒钟打开VS去改代码。</p>
<p>添加一些自定义的元素到配置文件中是很容易的，只需要两步就能搞定：</p>
<p>1. 在&lt;configSections&gt;节点中注册你所要定义的节点名称及用于处理该节点的配置节处理程序。代码如下：</p>
<p><code>1　　&lt;configSections&gt;<br />
2　　　&lt;section　name="dbFactory"　type="DbFactory.Configuration.DbFactorySection,DbFactory.Configuration"/&gt;<br />
3　　&lt;/configSections&gt;</code></p>
<p>2. 在适当的位置添加自定义的节点。代码如下：</p>
<p><code>1　　&lt;configSections&gt;<br />
　 2　　　&lt;section　name="dbFactory"　type="DbFactory.Configuration.DbFactorySection,DbFactory.Configuration"/&gt;<br />
　 3　　&lt;/configSections&gt;<br />
　 4　　&lt;dbFactory　&gt;<br />
　 5　　　&lt;default　factory="sql"&gt;&lt;/default&gt;<br />
　 6　　　&lt;factorys&gt;<br />
　 7　　　　&lt;add　name="sql"　assembly="Hello.Data"　class="SqlDbFactory"　/&gt;<br />
　 8　　　　&lt;add　name="oracle"　assembly="Hello.Data"　class="OracleDbFactory"　/&gt;<br />
　 9　　　&lt;/factorys&gt;<br />
10　　&lt;/dbFactory&gt;</code></p>
<p>自定义节点算是添加完了，可是我们怎么在程序里面获取这些配置信息呢？相信大家很多都是玩XML的高手，用System.Xml下的一些类写个XML的解析类，把我们自定义的节点信息解析出来，不就得到我们想要的东西了吗？的确是这样，大牛果然是大牛，小弟实在是佩服。可是如果用这种方式来实现的话，小弟就实在没有必要写这篇博文了。</p>
<p>.Net框架为我们实现了很多的配置API，来简化我们对配置文件的操作。在第一个步骤中，我们提到了配置节处理程序，这个程序就是用来读写我们自定义的节点信息的。那么我们又如何来实现一个配置节处理程序呢？首先我们来了解一下相关的类和概念。</p>
<p>ConfigurationSection：自定义节点都要继承该类，以提供对自定义配置节的自定义处理和编程访问。</p>
<p>ConfigurationElement：它表示配置文件内的一个元素。</p>
<p>ConfigurationElementCollection：它表示包含一个子元素集合的配置元素。</p>
<p>有了这些类，我们可以归纳起来配置文件中有两种类型的配置元素。</p>
<p>第一，单一型配置元素，即继承于ConfigurationElement的元素，它不包含任何子元素。</p>
<p>第二，集合型配置元素，即继承于ConfigurationElementCollection德元素，它包含一个子元素集合。</p>
<p>概念往往都比较抽象，要搞清楚这些东西，我们还是结合我们上面给的例子来具体说明一下。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 05:35:10</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f/" title="程序">程序</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%ba%9b/" title="一些">一些</a>, <a href="https://www.iamivan.net/tag/%e5%85%83%e7%b4%a0/" title="元素">元素</a>, <a href="https://www.iamivan.net/tag/%e8%8a%82%e7%82%b9/" title="节点">节点</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae%e8%8a%82/" title="配置节">配置节</a>, <a href="https://www.iamivan.net/tag/%e8%87%aa%e5%ae%9a%e4%b9%89%e9%85%8d%e7%bd%ae/" title="自定义配置">自定义配置</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>创建自定义配置节的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjQNV6z.html" rel="bookmark">使用 ConfigurationSection 创建自定义配置节</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们可以通过用自己的 XML 配置元素来扩展标准的 ASP.NET 配置设置集,要完成这一功能,我们必须实现继承System.Configuration.ConfigurationSection 类来实现自定义配置节,在1.0中当然也可以通过IconfigurationSectionHandler 接口创建自定义配置节!这里我们主要学一下通过ConfigurationSection类来实现简单的配置处理程序.       先看一下在web.config文件中的配置情况,在这里有两个元素,第一个m			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6w0Jp.html" rel="bookmark">在ASP&period;NET中创建自定义配置节（翻译）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|创建|asp.net 一.介绍 ASP.NET Web应用程序用一种内置的方法访问简单的&quot;键/值&quot;配置数据.在Web.config文件中,你可以创建节来存储简单的&quot;键/值&quot;对.例如,新建一个ASP.NET项目,在Web.config文件中添加如下的标记作为元素的子标记: 该节包含了用两个标记定义的&quot;键/值&quot;对,你可以通过Page对象内置的ConfigurationSettings属性获得它们的值.作为开始,在你的项目中新建一个名为			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bB4lKp.html" rel="bookmark">web&period;config文件自定义配置节的使用方法的一个简单例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web web.config文件自定义配置节的使用方法的一个简单例子用来演示的程序名为MyApp,Namespace也是MyApp 1.编辑web.config文件 添加以下内容,声明一个Section &lt;configSections&gt;    &lt;section name=&quot;AppConfig&quot; type=&quot;MyApp.AppConfig, MyApp&quot; /&gt; &lt;/configSections&gt;   声明了一个叫AppConfig的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My37Ekz.html" rel="bookmark">创建自定义配置节点（web&period;config和app&period;config都适用）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				恼火!不小心点到全屏幕模式,刚写的东西全丢了!!从头再来!!! 无论是web程序.windows程序.windows service程序,配置文件都是少不了的.我们都习惯了将连接字符串放在ConnectionString节点中,将程序的设置放在appSetting节点中.配置文件的管理程序为我们提供了方便的管理方式,那么,我们如何自定义配置节点呢? 有两种方法,其一,继承IConfigurationSectionHandler,通过实现Create方法.这种方法的灵活度非常大,我们需要动手解析自			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YMRGJGp.html" rel="bookmark">自定义配置节处理实现个性化web&period;config</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web 通过System.Configuration中的ConfigurationSettings类的AppSettings属性,可以很方便访问web.config配置文件中appSettings节点的数据.对于web程序利用这个配置文件存放一些只读的程序信息,比如程序名称,作者信息,数据库连接字符串等将是十分方便有用.如: &lt;!--Sample.aspx--&gt;private void Page_Load(object sender, System.EventArgs e){ this.tbN			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpP5nAz.html" rel="bookmark">&period;NET 2&period;0 中的自定义配置处理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引言 现代软件开发中,各种技术.技巧越来越依赖配置,譬如客户端对用户体验的个性化设置.系统的各种运行时参数设置.可插拔的插件机制.基于配置的IoC架构模式等.配置方式也从最初的二进制存储格式逐步过度到INI文本格式直至今时所广泛使用的Xml格式.使用Xml格式进行配置,大大提高了对设置数据的表现能力,但是在 .NET 1.x 中对Xml配置的操控还有诸多不便,尤其是对Xml配置的存储同步机制很不完善,而从 .NET 2.0 开始,框架提供了更丰富和易于操控使用的机制. .NET 中的配置文件(X			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9Mx4vQM.html" rel="bookmark">在&period;NET框架下使用自定义配置设置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				.net框架 .NET框架通过基于XML的配置使配置设置驾轻就熟.它同时还提供了必要的方法,通过集合类(Collection classes)访问这些设置. 通过一个静态的ConfigurationSettings类可访问实际的配置数据.该类还提供了一个GetConfig()方法,可向一个合适的集合返回一个对象.本文中,我将示范三种可用来访问和存储配置信息的方法. 应用配置数据存储在App.config文件,并由configSections节点定义.每一section都有一个type属性定义.这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8j4m4b.html" rel="bookmark">在CentOS系统下创建和配置虚拟用户的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  一.下载当前vsftp最新版本 代码如下: wget ftp://vsftpd.beasts.org/users/cevans/vsftpd-2.3.4.tar.gz 二.安装前准备 1.创建虚拟用户映射的本地用户wwwftp 代码如下: useradd wwwftp -d /data/www -s /sbin/nologin 2.创建自定义配置目录 代码如下: mkdir -p /data/soft/vsftpd/conf mkdir -p /data/soft/vsftpd/bin mk			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvnwB9M.html" rel="bookmark">《iOS 6核心开发手册（第4版）》&mdash;&mdash;1&period;12节创建自定义的姿势识别器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.12 创建自定义的姿势识别器 iOS 6核心开发手册(第4版) 只需做少量的工作即可把秘诀1-10中所示的代码转换成自定义的识别器,如秘诀1-11中所介绍的那样.子类化UIGestureRecognizer将使你能够构建自己的圆形识别器,并把它添加到应用程序中的视图中. 首先把UIGestureRecognizerSubclass.h导入新类中.该文件声明了识别器子类重写或自定义所需的一切内容.对于重写的每个方法,都要确保调用该方法的原始版本,这需要在激活新代码前调用超类方法. 姿势分为两类			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyr3Jp.html" rel="bookmark" class="title">rror 1615 tate 000-jdbc定时批量插入数据报错</a>
					<div>
						问题描述 jdbc定时批量插入数据报错 错误提示如下: Dec 19 2014 12:20:00 AM org.hibernate.util.JDBCExceptionReporter logExce ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkmXOb.html" rel="bookmark" class="title">HTML教程-各窗口间相互操作&lpar;Frame Target&rpar;</a>
					<div>
						教程 由Frames分出来的几个窗口的内容并不是静止不变的,往往一个窗口的内容随着另一个窗口的要求而不断变化,这就提高了Frames的利用价值.为了完成各窗口之间的相互操作,我们必须为每一个窗口起一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMy9jZM.html" rel="bookmark" class="title">设备用户体验设计&colon;移动产品设计硬件优雅的体验</a>
					<div>
						文章描述:在移动设备里,常见可以被利用的硬件包括:话筒.GPS.距离感应器.环境光感应器.影像传感器.磁阻传感器.重力感应器.方向感应器.加速感应器.三轴陀螺仪.RFID.NFC.裸眼3D.温度计.震 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3Qrwp.html" rel="bookmark" class="title">郭亚军：对于医院SEO一些问题的简单分析</a>
					<div>
						分享一:一般朋友统计网站页面是统计网站的文章数这样肯定会有很大出入,因为网站除了文章页,还有许多导航.栏目.专题等等的页面,仅仅统计文章页面肯定是不对的.最准确的统计方法是统计网站每个前台显示页面的文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Ny4kz.html" rel="bookmark" class="title">Google Protocol Buffers快速入门（带生成C&num;源码的方法）</a>
					<div>
						Google Protocol Buffers是google出品的一个协议生成工具,特点就是跨平台,效率高,速度快,对我们自己的程序定义和使用私有协议很有帮助. Protocol Buffers入门: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRy6eqb.html" rel="bookmark" class="title">win7系统小喇叭红叉无法使用怎么办？</a>
					<div>
						  win7系统小喇叭红叉无法使用怎么办? 一.首先排除你的声卡是否正常如果你安装系统之前声卡能正常使用,那么说明你的声卡基本没问题. 二.音频服务是否打开如果你的音频服务没打开也同样会造成win7小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKkjvp.html" rel="bookmark" class="title">Excel制作单元格下拉菜单</a>
					<div>
						Excel设置数据有效性实现单元格下拉菜单的3种方法 一.直接输入: 1.选择要设置的单元格,譬如A1单元格: 2.选择菜单栏的&quot;数据&quot;→&quot;有效性&quot;→出现&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8Nwqp.html" rel="bookmark" class="title">word2010段落缩进设置</a>
					<div>
						  在Word 2010中,我们可以设置整个段落向左或者向右缩进一定的字符,这一技巧在排版时经常会使用到,例如我们可以在缩进的位置,通过插入文本框,来放置其他的内容,在Word中,我们可以通过两种方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdErBM.html" rel="bookmark" class="title">PhotoShop为海景照片增加景深对比效果技巧</a>
					<div>
						        1.打开 photoshop教程素材 图片,复制一层,图层混合模式改为&quot;亮光&quot;,加上图层蒙版用黑色画笔适当的涂抹一下,大致涂抹效果如下图. 2.新建一个图层,按Ct ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmG3E3b.html" rel="bookmark" class="title">PS制作暴走的喵星人</a>
					<div>
						  效果图镇: 那么开始吧 雨景的制作,很有趣. 2012云网盘 自成一派11 分类: PS入门教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8xm2b.html" rel="bookmark" class="title">方法-unity3dunity3d中A&ast;寻路插件有熟悉的吗求帮助啊～～</a>
					<div>
						问题描述 unity3dunity3d中A*寻路插件有熟悉的吗求帮助啊-- 调用seeker函数时,免费版的插件里少了StarMultiTargetPath这个函方法.好心人发这个代码给我呗.谢啦					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywjnEz.html" rel="bookmark" class="title">Google AdSense如何修改收款人姓名等信息</a>
					<div>
						GoogleAdSense 是一种获取收入的快速简便的方法,适合于各种规模的网站发布商.它可以在网站的内容网页上展示相关性较高的 Google广告,并且这些广告不会过分夸张醒目.google根据网站上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYJ9oM.html" rel="bookmark" class="title">eval-中国菜刀的一句话代码</a>
					<div>
						问题描述 中国菜刀的一句话代码 往服务器端上传了pass.php 内容是1 2 '&lt;?php @eval($_POST['pass']);echo 'qqqqqqqq';?&gt;' 4 5 6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlB7vLz.html" rel="bookmark" class="title">隐藏 图标 android-Android图标隐藏和显示问题</a>
					<div>
						问题描述 Android图标隐藏和显示问题 我想做一个APP能够隐藏其它的应用程序的图标,_假设手机或模拟器已经root过,怎么实现?_ 能否写个demon,发我393993507@qq.com邮箱. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQQ57p.html" rel="bookmark" class="title">c&plus;&plus;如何调用 uery-c&plus;&plus;如何调用JQuery，在c&plus;&plus;执行Javascript？</a>
					<div>
						问题描述 c++如何调用JQuery,在c++执行Javascript? 大家好,请问大家是否使用过C++调用JQuery的例子,帮忙解答下,谢谢. 我想把在网页执行的代码,放在C++里面执行. &l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWe9vp.html" rel="bookmark" class="title">解决方案-求大神提供思路，解决ldap登录密码不区分大小写问题</a>
					<div>
						问题描述 求大神提供思路,解决ldap登录密码不区分大小写问题 ldap的普通用户登录不区分大小写,密码不允许读,该怎么解决,小菜鸟跪求解决方案啊.. 解决方案 已经卡住好几天了....急求... 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVOd6b.html" rel="bookmark" class="title">Linux Mint 18 Xfce beta版上线</a>
					<div>
						Linux Mint项目的负责人之一Clement Lefebvre宣布内部代号为&quot;Sarah&quot;的Beta版本Linux Mint 18 Xfce上线.Xfce版本非常类似于在今年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kDXoM.html" rel="bookmark" class="title">给Magento新增JSON-RPC类型的Api适配器（adapter）</a>
					<div>
						百度百科里对JSON-RPC的定义:      json rpc 是一种以json为消息格式的远程调用服务,它是一套允许运行在不同操作系统.不同环境的程序实现基于Internet过程调用的规范和一系列 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YjjdM.html" rel="bookmark" class="title">&lbrack;Unity3d&rsqb;Player Settings导出设置</a>
					<div>
						Player Settings is where you define various parameters (platform specific) for the final game that y ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYWrRp.html" rel="bookmark" class="title">Linux内核中常见内存分配函数（二）</a>
					<div>
						常用内存分配函数 __get_free_pages unsigned long __get_free_pages(gfp_t gfp_mask, unsigned int order) __get_f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rjVWz.html" rel="bookmark" class="title">&period;NET老板给我布置的任务，一个也不会。急</a>
					<div>
						问题描述 第一个.net中模仿拖动控件,就像拖动文件夹一样,还要有阴影第二个.NET中用鼠标拉出一个区域,区域里的控件被灰色选中.怎么做??求高手.明早就要交差了. 解决方案 解决方案二:有点意思,好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgJ04b.html" rel="bookmark" class="title">基于VHDL的四路抢答器设计</a>
					<div>
						library ieee; use ieee.std_logic_1164.all; use ieee.numeric_std.all; entity carrie is port ( CLK:std ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z408wjz.html" rel="bookmark" class="title">干扰市场利率：对支付宝无意义的&OpenCurlyDoubleQuote;误解&rdquo;</a>
					<div>
						微博上,最近突然有网友声称,因为互联网理财的急速发展,尤其是余额宝的快速增长,有可能会推高市场利率水平,从而导致提高包括住房按揭贷款在内的贷款成本,让广大居民更加难以获得并且承受住房按揭贷款. 更是有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0AJOM.html" rel="bookmark" class="title">108&lowbar;《Delphi5企业级解决方案及应用剖析》</a>
					<div>
						&lt;Delphi5企业级解决方案及应用剖析&gt; Delphi 教程 系列书籍 (108) &lt;Delphi5企业级解决方案及应用剖析&gt; 网友(邦)整理 EMail: shuaihj@ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOndX8p.html" rel="bookmark" class="title">having的用法以及与where区别介绍&lowbar;MsSql</a>
					<div>
						having的用法 having子句可以让我们筛选成组后的各种数据,having子句在查询过程中慢于聚合语句(sum,min,max,avg,count).而where子句在查询过程中则快于聚合语句( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDk950p.html" rel="bookmark" class="title">浅谈jQuery效果函数&lowbar;jquery</a>
					<div>
						jQuery有很多的效果可以实现,比如说淡入淡出的效果:&lt;html&gt; &lt;head&gt; &lt;style&gt; #box{width:200px;height:200px;ba ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Neexp.html" rel="bookmark" class="title">tabpageIndicator的背景是黑色的，怎么去掉？</a>
					<div>
						问题描述 tabpageIndicator的背景是黑色的,怎么去掉? android:layout_width=&quot;match_parent&quot; android:layout_heig ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdv77xb.html" rel="bookmark" class="title">盘点2014：最受关注的十大云服务创业公司</a>
					<div>
						云技术带来了技术爆炸,其快速的发展为创业公司带来了与传统巨头竞争的机会.这些创业公司很多都是些离开大公司且技术经验丰富的人,当然还有一些野心勃勃的年轻创业者,他们借助IT市场快速迭代的需求,服务范围从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNmjq4b.html" rel="bookmark" class="title">《大地震》：有情节能催泪，缺少震撼与反思</a>
					<div>
						&lt;唐山大地震&gt;观影评价出现两极分化-- &quot;电影应该是酒,哪怕只一口,但它得是酒.你拍的东西是葡萄,很新鲜的葡萄,甚至还挂着霜,但你没有把它酿成酒,开始时是葡萄,到了后来还是葡萄- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YgO6p.html" rel="bookmark" class="title">IT与&OpenCurlyDoubleQuote;挨踢&rdquo;</a>
					<div>
						IT作为http://www.aliyun.com/zixun/aggregation/14054.html&quot;&gt;信息技术的专业词汇,早已是家喻户晓了.可是,我们在拥有渊博的IT知识,实 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
